public class Vector implements Invertible<Vector> {
    private final double x;
    private final double y;
    public Vector(double x, double y) {
        this.x = x;
        this.y = y;
    }
    @Override
    public Vector invert() {
        return new Vector(-x, -y);
    }
    @Override
    public String toString() {
        return "(" + x + ", " + y + ')';
    }
}
